BSON_ITER_OVERWRITE_DECIMAL128(3)

SYNOPSIS

            bool
            bson_iter_overwrite_decimal128 (bson_iter_t *iter, const bson_decimal128_t *value);

PARAMETERS

    •   iter: A bson_iter_t.

    •   value: The new Decimal128 value.

DESCRIPTION

The bson_iter_overwrite_decimal128() function shall overwrite the contents of a BSON_TYPE_DECIMAL128 element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_DECIMAL128.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc